Axis2/C: comment

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# comment
[AXIOM]

## Typedefs
typedef struct axiom_comment | axiom_comment_t
## Functions
AXIS2_EXTERN axiom_comment_t * | axiom_comment_create (const axutil_env_t *env, axiom_node_t *parent, const axis2_char_t *value, axiom_node_t **node)
AXIS2_EXTERN void | axiom_comment_free (struct axiom_comment *om_comment, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_comment_get_value (struct axiom_comment *om_comment, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_comment_set_value (struct axiom_comment *om_comment, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_comment_serialize (struct axiom_comment *om_comment, const axutil_env_t *env, axiom_output_t *om_output)

## Function Documentation

AXIS2_EXTERN axiom_comment_t* axiom_comment_create | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | const axis2_char_t * | value,
|  | axiom_node_t ** | node |
| ) |  |  |

Creates a comment struct

Parameters:

  | env | Environment. MUST NOT be NULL,
  | parent | This is the parent node of the comment is any, can be NULL.
  | value | comment text
  | node | This is an out parameter.cannot be NULL. Returns the node corresponding to the comment created. Node type will be set to AXIOM_COMMENT

Returns:
  a pointer to the newly created comment struct

AXIS2_EXTERN void axiom_comment_free | ( | struct axiom_comment * | om_comment,
|  | const axutil_env_t * | env |
| ) |  |  |

Free a axis2_comment_t struct

Parameters:

  | om_comment | pointer to axis2_commnet_t struct to be freed
  | env | Environment. MUST NOT be NULL.

Returns:
  satus of the op. AXIS2_SUCCESS on success ,AXIS2_FAILURE on error.

AXIS2_EXTERN axis2_char_t* axiom_comment_get_value | ( | struct axiom_comment * | om_comment,
|  | const axutil_env_t * | env |
| ) |  |  |

get the comments data

Parameters:

  | om_comment | a pointer to axiom_comment_t struct
  | env | environment, MUST NOT be NULL

Returns:
  comment text

AXIS2_EXTERN axis2_status_t axiom_comment_serialize | ( | struct axiom_comment * | om_comment,
|  | const axutil_env_t * | env,
|  | axiom_output_t * | om_output |
| ) |  |  |

serialize function

Parameters:

  | om_comment | pointer to axiom_comment_t struct
  | env | environment, MUST NOT be NULL.
  | om_output | pointer to om_output_t struct

Returns:
  AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

AXIS2_EXTERN axis2_status_t axiom_comment_set_value | ( | struct axiom_comment * | om_comment,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | value |
| ) |  |  |

set comment data

Parameters:

  | om_comment | pointer to axiom_comment_t struct
  | env | environment, MUST NOT be NULL.
  | value | comment text

Returns:
  AXIS2_SUCCESS on success , AXIS2_FAILURE on error